field_expr_v2_nonlinear_terminal_function_base_rep< T >
Inheritance diagram for field_expr_v2_nonlinear_terminal_function_base_rep< T >:

## Public Types

typedef geo_element::size_type | size_type
typedef rheo_default_memory_model | memory_type
typedef T | scalar_type
typedef T | float_type

## Public Member Functions

| field_expr_v2_nonlinear_terminal_function_base_rep ()
| field_expr_v2_nonlinear_terminal_function_base_rep (const field_expr_v2_nonlinear_terminal_function_base_rep< T > &)
void | initialize (const piola_on_pointset< float_type > &pops, const integrate_option &iopt) const
void | initialize (const space_basic< float_type, memory_type > &Xh, const piola_on_pointset< float_type > &pops, const integrate_option &iopt) const
template<class M >
const geo_element & | get_side (const geo_basic< float_type, M > &omega_K, const geo_element &K, const side_information_type &sid) const

## Protected Attributes

piola_on_pointset< float_type > | _pops

## Detailed Description

### template<class T>
class rheolef::details::field_expr_v2_nonlinear_terminal_function_base_rep< T >

Definition at line 115 of file field_expr_terminal.h.

## Member Typedef Documentation

## size_type

typedef geo_element::size_type size_type

Definition at line 119 of file field_expr_terminal.h.

## memory_type

typedef rheo_default_memory_model memory_type

Definition at line 120 of file field_expr_terminal.h.

## scalar_type

typedef T scalar_type

Definition at line 121 of file field_expr_terminal.h.

## float_type

typedef T float_type

Definition at line 122 of file field_expr_terminal.h.

## Constructor & Destructor Documentation

## field_expr_v2_nonlinear_terminal_function_base_rep() [1/2]

field_expr_v2_nonlinear_terminal_function_base_rep

Definition at line 46 of file field_expr_terminal.cc.

## field_expr_v2_nonlinear_terminal_function_base_rep() [2/2]

field_expr_v2_nonlinear_terminal_function_base_rep | ( | const field_expr_v2_nonlinear_terminal_function_base_rep< T > & | x | ) |

Definition at line 51 of file field_expr_terminal.cc.

## Member Function Documentation

## initialize() [1/2]

void initialize | ( | const piola_on_pointset< float_type > & | pops,
|  | const integrate_option & | iopt
| ) |  | const

Definition at line 57 of file field_expr_terminal.cc.

## initialize() [2/2]

void initialize | ( | const space_basic< float_type, memory_type > & | Xh,
|  | const piola_on_pointset< float_type > & | pops,
|  | const integrate_option & | iopt
| ) |  | const

Definition at line 65 of file field_expr_terminal.cc.

## get_side()

const geo_element & get_side | ( | const geo_basic< float_type, M > & | omega_K,
|  | const geo_element & | K,
|  | const side_information_type & | sid
| ) |  | const

Definition at line 103 of file field_expr_terminal.cc.

## Member Data Documentation

## _pops

piola_on_pointset<float_type> _pops

mutable protected

Definition at line 149 of file field_expr_terminal.h.

The documentation for this class was generated from the following files:

- /build/rheolef-bzr82u/rheolef-7.1/main/lib/field_expr_terminal.h
- /build/rheolef-bzr82u/rheolef-7.1/main/lib/field_expr_terminal.cc